Alignment Parameter for Dynamic Blocks

Should the alignment parameter in dynamic blocks be working? If not, is there a way in lisp to mimic the behavior?

Comments

  • Not exactly but getting closer ...

        (setq nStation (getreal "\nStation: "))
        (setq pInsert (vlax-curve-getPointAtDist en (- nStation nStartStation)))
        (setq nRot (angle '(0. 0. 0.) (vlax-curve-getFirstDeriv en (vlax-curve-getParamAtPoint en pInsert))))
        (setq nRot (+ nRot (/ pi 2)))
        (setq myBlock (vla-insertblock mspace pINsert "Station Label Rt.dwg" *nHScale* *nHScale* *nHScale* nRot))
    
This discussion has been closed.